package com.brilliance.isc.bo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.bo.model.Gcdgrp;
import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.bo.model.Oldgidgrp;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class GitpcjStoreBo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gcdgrp gcdgrp;
    private SwiaddVo swiadd;
    private String rejtypsel= NULLSTR;
    private String lettername = NULLSTR;
    private String clsflg = NULLSTR;
    private String instxt = NULLSTR;
    private Boolean adaflg = false;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
        if(swiadd == null){
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }
}
